arch = environment.x86
cc = $cl_x86
cxx = $cl_x86
cc_host = $cl_x86
cxx_host = $cl_x86
asm = $ml_x86
rule $
    vivaldi_extension_resources_target_generate_vivaldi_extension_resources_11d6b652347f9122af98aa8ec8687f85
  command = C:\bot\depot_tools\python276_bin\python.exe gyp-win-tool $
      action-wrapper $arch $
      vivaldi_extension_resources_target_generate_vivaldi_extension_resources_11d6b652347f9122af98aa8ec8687f85.$unique_name.rsp $
      ..\..\chromium\..\extensions
  description = ACTION Generating resources from $
      vivaldi_extension_resources.grd
  restat = 1
  rspfile = $
      vivaldi_extension_resources_target_generate_vivaldi_extension_resources_11d6b652347f9122af98aa8ec8687f85.$unique_name.rsp
  rspfile_content = python "../chromium/tools/grit/grit.py" "-i" $
      "vivaldi_extension_resources.grd" "build" "-f" $
      "../chromium/../extensions/gritsettings/resource_ids" "-o" $
      "..\chromium\..\out\Release/gen/vivaldi" "--write-only-new=1" "-D" $
      "_vivaldi" "-E" "CHROMIUM_BUILD=vivaldi" "-E" "VIVALDI_BUILD=vivaldi" $
      "-D" "toolkit_views" "-D" "use_aura" "-D" "use_ash" "-D" $
      "enable_extensions" "-D" "enable_plugins" "-D" "enable_printing" "-D" $
      "enable_print_preview" "-D" "enable_themes" "-D" "enable_app_list" $
      "-D" "enable_settings_app" "-D" "use_concatenated_impulse_responses" $
      "-D" "enable_media_router" "-D" "enable_webrtc" "-D" $
      "enable_task_manager" "-D" "enable_notifications" "-D" $
      "enable_topchrome_md" "-D" "enable_service_discovery"

build gen\vivaldi\grit\vivaldi_extension_resources.h $
    gen\vivaldi\vivaldi_extension_resources.pak: $
    vivaldi_extension_resources_target_generate_vivaldi_extension_resources_11d6b652347f9122af98aa8ec8687f85 $
    ..\..\extensions\gritsettings\resource_ids $
    ..\..\extensions\vivaldi_extension_resources.grd $
    ..\..\extensions\api\_api_features.json $
    ..\..\extensions\api\_manifest_features.json $
    ..\..\extensions\api\_permission_features.json $
    ..\..\extensions\api\guest_view\web_view_private.js $
    ..\..\extensions\api\guest_view\web_view_private_attributes.js $
    ..\..\extensions\api\guest_view\web_view_private_constants.js $
    ..\..\extensions\api\guest_view\web_view_private_events.js $
    ..\..\extensions\api\guest_view\web_view_private_methods.js $
    ..\..\chromium\tools\grit\PRESUBMIT.py $
    ..\..\chromium\tools\grit\grit.py $
    ..\..\chromium\tools\grit\grit\__init__.py $
    ..\..\chromium\tools\grit\grit\clique.py $
    ..\..\chromium\tools\grit\grit\constants.py $
    ..\..\chromium\tools\grit\grit\exception.py $
    ..\..\chromium\tools\grit\grit\extern\BogoFP.py $
    ..\..\chromium\tools\grit\grit\extern\FP.py $
    ..\..\chromium\tools\grit\grit\extern\__init__.py $
    ..\..\chromium\tools\grit\grit\extern\tclib.py $
    ..\..\chromium\tools\grit\grit\format\__init__.py $
    ..\..\chromium\tools\grit\grit\format\android_xml.py $
    ..\..\chromium\tools\grit\grit\format\c_format.py $
    ..\..\chromium\tools\grit\grit\format\chrome_messages_json.py $
    ..\..\chromium\tools\grit\grit\format\data_pack.py $
    ..\..\chromium\tools\grit\grit\format\html_inline.py $
    ..\..\chromium\tools\grit\grit\format\js_map_format.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\PRESUBMIT.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\__init__.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\policy_template_generator.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\template_formatter.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writer_configuration.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\__init__.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\adm_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\adml_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\admx_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\android_policy_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\doc_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\ios_plist_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\json_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\mock_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\plist_helper.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\plist_strings_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\plist_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\reg_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\template_writer.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\writer_unittest_common.py $
    ..\..\chromium\tools\grit\grit\format\policy_templates\writers\xml_formatted_writer.py $
    ..\..\chromium\tools\grit\grit\format\rc.py $
    ..\..\chromium\tools\grit\grit\format\rc_header.py $
    ..\..\chromium\tools\grit\grit\format\repack.py $
    ..\..\chromium\tools\grit\grit\format\resource_map.py $
    ..\..\chromium\tools\grit\grit\gather\__init__.py $
    ..\..\chromium\tools\grit\grit\gather\admin_template.py $
    ..\..\chromium\tools\grit\grit\gather\chrome_html.py $
    ..\..\chromium\tools\grit\grit\gather\chrome_scaled_image.py $
    ..\..\chromium\tools\grit\grit\gather\igoogle_strings.py $
    ..\..\chromium\tools\grit\grit\gather\interface.py $
    ..\..\chromium\tools\grit\grit\gather\json_loader.py $
    ..\..\chromium\tools\grit\grit\gather\muppet_strings.py $
    ..\..\chromium\tools\grit\grit\gather\policy_json.py $
    ..\..\chromium\tools\grit\grit\gather\rc.py $
    ..\..\chromium\tools\grit\grit\gather\regexp.py $
    ..\..\chromium\tools\grit\grit\gather\skeleton_gatherer.py $
    ..\..\chromium\tools\grit\grit\gather\tr_html.py $
    ..\..\chromium\tools\grit\grit\gather\txt.py $
    ..\..\chromium\tools\grit\grit\grd_reader.py $
    ..\..\chromium\tools\grit\grit\grit_runner.py $
    ..\..\chromium\tools\grit\grit\lazy_re.py $
    ..\..\chromium\tools\grit\grit\node\__init__.py $
    ..\..\chromium\tools\grit\grit\node\base.py $
    ..\..\chromium\tools\grit\grit\node\custom\__init__.py $
    ..\..\chromium\tools\grit\grit\node\custom\filename.py $
    ..\..\chromium\tools\grit\grit\node\empty.py $
    ..\..\chromium\tools\grit\grit\node\include.py $
    ..\..\chromium\tools\grit\grit\node\io.py $
    ..\..\chromium\tools\grit\grit\node\mapping.py $
    ..\..\chromium\tools\grit\grit\node\message.py $
    ..\..\chromium\tools\grit\grit\node\misc.py $
    ..\..\chromium\tools\grit\grit\node\structure.py $
    ..\..\chromium\tools\grit\grit\node\variant.py $
    ..\..\chromium\tools\grit\grit\pseudo.py $
    ..\..\chromium\tools\grit\grit\pseudo_rtl.py $
    ..\..\chromium\tools\grit\grit\scons.py $
    ..\..\chromium\tools\grit\grit\shortcuts.py $
    ..\..\chromium\tools\grit\grit\shortcuts_unittests.py $
    ..\..\chromium\tools\grit\grit\tclib.py $
    ..\..\chromium\tools\grit\grit\test_suite_all.py $
    ..\..\chromium\tools\grit\grit\tool\__init__.py $
    ..\..\chromium\tools\grit\grit\tool\android2grd.py $
    ..\..\chromium\tools\grit\grit\tool\build.py $
    ..\..\chromium\tools\grit\grit\tool\buildinfo.py $
    ..\..\chromium\tools\grit\grit\tool\count.py $
    ..\..\chromium\tools\grit\grit\tool\diff_structures.py $
    ..\..\chromium\tools\grit\grit\tool\interface.py $
    ..\..\chromium\tools\grit\grit\tool\menu_from_parts.py $
    ..\..\chromium\tools\grit\grit\tool\newgrd.py $
    ..\..\chromium\tools\grit\grit\tool\postprocess_interface.py $
    ..\..\chromium\tools\grit\grit\tool\preprocess_interface.py $
    ..\..\chromium\tools\grit\grit\tool\rc2grd.py $
    ..\..\chromium\tools\grit\grit\tool\resize.py $
    ..\..\chromium\tools\grit\grit\tool\test.py $
    ..\..\chromium\tools\grit\grit\tool\toolbar_postprocess.py $
    ..\..\chromium\tools\grit\grit\tool\toolbar_preprocess.py $
    ..\..\chromium\tools\grit\grit\tool\transl2tc.py $
    ..\..\chromium\tools\grit\grit\tool\unit.py $
    ..\..\chromium\tools\grit\grit\tool\xmb.py $
    ..\..\chromium\tools\grit\grit\util.py $
    ..\..\chromium\tools\grit\grit\xtb_reader.py $
    ..\..\chromium\tools\grit\grit_info.py $
    ..\..\chromium\tools\grit\stamp_grit_sources.py

build extensions\vivaldi_extension_resources.actions_rules_copies.stamp: $
    stamp gen\vivaldi\grit\vivaldi_extension_resources.h $
    gen\vivaldi\vivaldi_extension_resources.pak

